Coyright=[[




  Copyright 2014-2016 by Alex2009(www.Alex2009.de)

  Dieses Werk bzw. Inhalt von Alex2009 ist lizenziert unter einer Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung 3.0 Unported Lizenz. 
  Um eine Kopie dieser Lizenz zu sehen, besuchen Sie http://creativecommons.org/licenses/by-nc-nd/3.0/deed.de
  ueber diese Lizenz hinausgehende Erlaubnisse koennen Sie unter http://www.Alex2009.de erhalten.



  
]]

LS17MoneyMod = {};
LS17MoneyMod.dir = g_currentModDirectory;

function LS17MoneyMod:loadMap(name)
    self.cashSample = createSample("cashSample");
    loadSample(self.cashSample,Utils.getFilename("cash.wav",LS17MoneyMod.dir), false);
    self.cashOverlay = createImageOverlay(Utils.getFilename("cash.dds",LS17MoneyMod.dir));
    self.cashOverlayTime = 0;
end;

function LS17MoneyMod:keyEvent(unicode, sym, modifier, isDown)
  local money = 100000;
  if g_isDevelopmentVersion or g_currentMission.isMasterUser or g_currentMission:getIsServer() then
    if bitAND(modifier, Input.MOD_ALT) > 0 and bitAND(modifier, Input.MOD_CTRL) > 0 then
      if InputBinding.isPressed(InputBinding.TOGGLE_MAP_SIZE) then
        self.cashOverlayTime = 300;
        playSample(self.cashSample, 1, 1, 0);
        if g_currentMission:getIsServer() then
          g_currentMission:addSharedMoney(money, "other")
        else
          g_client:getServerConnection():sendEvent(CheatMoneyEvent:new(money))
        end
      end;
    end;
  end
end;

function LS17MoneyMod:update(dt)
  if self.cashOverlayTime > 0 then
    self.cashOverlayTime=self.cashOverlayTime-dt;
  end;
end;

function LS17MoneyMod:draw()
  if self.cashOverlayTime > 0 then
    renderOverlay(self.cashOverlay,0,0,1,1);
  end;
end;

function LS17MoneyMod:deleteMap()
end;

function LS17MoneyMod:mouseEvent(posX, posY, isDown, isUp, button)
end;
addModEventListener(LS17MoneyMod);
